Subject: bug#9920: closed (Re: bug#9920: 23.2; Not trusting file .hg/hgrc from untrusted user... for 'vc-hg.el'.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Nov 2011 14:11:01 +0000

Your bug report

#9920: 23.2; Not trusting file .hg/hgrc from untrusted user... for 'vc-hg.el'.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9920: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9920
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9920: 23.2; Not trusting file .hg/hgrc from untrusted user... for 'vc-hg.el'.
From: Dan Nicolaescu <[email-masked]>
To: Oleksandr Gavenko <[email-masked]>
Cc: [email-masked]
Date: Wed, 02 Nov 2011 10:08:09 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing, works in 23.3.

Subject: 23.2; Not trusting file .hg/hgrc from untrusted user... for 'vc-hg.el'.
From: Oleksandr Gavenko <[email-masked]>
To: [email-masked]
Date: Mon, 31 Oct 2011 15:33:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Under Debian I have:

   $ ls -l .hg/hgrc
-rw-rw-r-- 1 www-data www-data 97  19 18:23 .hg/hgrc

To resolve issue http://mercurial.selenic.com/wiki/Trust I put to '~/.hgrc':

   [trusted]
   users = apache, daemon, www-data
   groups = apache, daemon, www-data

but Emacs ignore that as some 'hg' command invoked with
'HGRCPATH='. So

   $ hg st README.rst
M README.rst
   $  HGRCPATH= hg st README.rst
Not trusting file /usr/srv/hg/test/.hg/hgrc from untrusted user 
www-data, group www-data
Not trusting file .hg/hgrc from untrusted user www-data, group www-data
Not trusting file /usr/srv/hg/test/.hg/hgrc from untrusted user 
www-data, group www-data
Not trusting file /usr/srv/hg/test/.hg/hgrc from untrusted user 
www-data, group www-data
M README.rst

Because of this Emacs VC status line show "Not trusting file..." instead 
of "Hg-201".

And so C-x v v does not work as Emacs does not detect local changes in 
file...

So I can not commit from a file. As workaround I commit from VC-dir.

-- 
Best regards!